pskc_get_key_algparm_resp_checkdigits(3)

NAME
pskc_get_key_algparm_resp_checkdigits - API function

SYNOPSIS
#include <pskc.h>

int pskc_get_key_algparm_resp_checkdigits(pskc_key_t * key, int * present);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

int * present
    output variable indicating whether data was provided or not.

DESCRIPTION
Get the PSKC KeyPackage Key AlgorithmParameters ResponseFormat CheckDigits value. This attribute indicates whether the device needs to append a Luhn check digit, as defined in [ISOIEC7812], to the response. This is only valid if the 'Encoding' attribute is set to 'DECIMAL'. If the value is TRUE, then the device will append a Luhn check digit to the response. If the value is FALSE, then the device will not append a Luhn check digit to the response.

If present is non-NULL, it will be 0 if the field is not present or 1 if it was present.

RETURNS
1 to indicate a CheckDigits value of true, or 0 to indicate false.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.